.about-page {

    background: #000;


    .hero {

        width: 100%;


        .hero-title,
        .about-truffl {

            position: relative;
            width: 100%;
            height: 60vw;
            min-height: 700px;
            max-height: 100vh;
            display: flex;
            align-items: center;

            h1,
            h2 {
                display: block;
                z-index: 5;

                p {
                    color: #fff;
                }
            }
        }

        .hero-title {

            transform: translateY(38vh);
            justify-content: center;

            p {
                .fontBold();
                font-size: 6vw;
                color: #fff;
                text-align: center;
            }
        }

        .about-truffl {
            padding: 0 5vw;
            box-sizing: border-box;
            justify-content: flex-start;
            transform: translateY(-5vw);

            p {
                .fontBolder();
                font-size: 3.65vw;
                color: #fff;
                text-align: left;
                width: .calc-vw(0.75)[@return];
                display: block;
            }
        }

        .parallax-image {

            position: absolute;
            overflow: hidden;
            z-index: 1;

            img {
                width: 100%;
                height: 100%;
                object-fit: cover;
            }

            &[data-image="1"] {
                width: 15vw;
                height: 15vw;
                left: 27.5vw;
                top: calc(-25vh - 8vw);
            }

            &[data-image="2"] {
                width: 19vw;
                height: 19vw;
                right: 0;
                top: calc(25vh + 19vw / 2);
            }

            &[data-image="3"] {
                width: 16vw;
                height: 16vw;
                top: 10vw;
                left: 10vw;
            }

            &[data-image="4"] {
                width: 25vw;
                height: 25vw;
                right: 16vw;
                top: calc(50vh + 6vw);
            }

        }
    }

    .pulse-container {

        position: relative;
        width: 100vw;
        height: 100vw;
        margin-bottom: 14vw;

        @pulseColor : #fff;

        &.pulsing {

            .pulse-center {
                @keyframes pulsing1 {
                    0% {
                        transform: scale(1);
                    }

                    50% {
                        transform: scale(1.3);
                    }

                    100% {
                        transform: scale(1);
                    }
                }

                animation: pulsing1 1s infinite ease-in-out;
                animation-delay: 0;
            }

            .pulse-circle {

                @pulseDelay : 0.15s;

                @keyframes pulsing2 {
                    0% {
                        transform: scale(1);
                    }

                    50% {
                        transform: scale(1.2);
                    }

                    100% {
                        transform: scale(1);
                    }
                }

                &[data-circle="1"] {

                    animation: pulsing2 1.5s infinite ease-in-out;
                    animation-delay: @pulseDelay;
                }

                &[data-circle="2"] {
                    animation: pulsing2 1.5s infinite ease-in-out;
                    animation-delay: @pulseDelay * 2;
                }

                &[data-circle="3"] {
                    animation: pulsing2 1.5s infinite ease-in-out;
                    animation-delay: @pulseDelay * 3;
                }

                &[data-circle="4"] {
                    animation: pulsing2 1.5s infinite ease-in-out;
                    animation-delay: @pulseDelay * 4;
                }
            }
        }

        .pulseCalc(@value) {
            width: @value;
            height: @value;
            top: calc(50% - @value / 2);
            left: calc(50% - @value / 2);
            border-radius: calc(@value / 2);
        }

        .pulse-center {
            .pulseCalc(4vw);
            position: absolute;
            background-color: #fff;
        }



        .pulse-circle {

            position: absolute;
            border: 1px solid @pulseColor;

            &[data-circle="1"] {
                .pulseCalc(19vw);
                opacity: 0.4;
            }

            &[data-circle="2"] {
                .pulseCalc(52vw);
                opacity: 0.3;
            }

            &[data-circle="3"] {
                .pulseCalc(87vw);
                opacity: 0.2;
            }

            &[data-circle="4"] {
                .pulseCalc(122vw);
                opacity: 0.1;
            }
        }

        .pulse-message {

            @messageFontSize : 1.5vw;
            @messageLineHeight : 1.2;

            position: absolute;
            top: calc(50% - @messageFontSize * @messageLineHeight / 2);
            /* font-size * line-height / 2 */
            left: calc(50% + 4vw);
            width: 35vw;

            .message-title {
                margin-bottom: @messageFontSize * 2;

                p {
                    .fontBold();
                }
            }

            p {
                font-size: @messageFontSize;
                line-height: @messageLineHeight;
                color: @pulseColor;
                .fontBolder();
            }

            &.animated {

                .message-title {
                    will-change: transform;
                    transform: translateY(6vw);
                    transition: transform 1.2s;
                }

                .message-text {
                    will-change: transform;
                    transform: translateY(6vw);
                    transition: transform 1.2s 0.3s;
                }

                &.progress {
                    .message-title {
                        transform: translateY(0vw);
                    }

                    .message-text {
                        transform: translateY(0vw);
                    }
                }
            }
        }
    }

    .more-than-agency {

        @agencyPadding: 12.5vw;

        .calc-size(@value : 1.0) {
            @return: calc((100vw - @nav-width - @agencyPadding * 2) * @value );
        }

        margin: 0 @agencyPadding 14vw;
        width: .calc-size(1)[@return];

        .agency-title {
            font-size: 6vw;
            font-family: 'Roobert-SemiBold';
            line-height: 0.9;
            width: 50%;
            margin-bottom: 0.7em;

            p {
                color: #fff;
            }
        }

        .agency-row {
            width: .calc-size(1)[@return];
            display: flex;
            flex-direction: row;

            &.with-image-1 {
                height: .calc-size(0.37)[@return];
            }

            &.with-image-2 {
                height: .calc-size(0.45)[@return];
            }

            &.with-image-1,
            &.with-image-2 {
                .apos100height();
            }
        }

        .agency-column {

            width: 50%;
            height: 100%;
            box-sizing: border-box;
            overflow: hidden;

            p {
                width: 90%;
                .fontNormal();
                color: #fff;
            }

            img {
                object-fit: cover;
                width: 100%;
                height: auto;
                min-height: 100%;
            }

            &.top-left {
                display: flex;
                justify-content: flex-start;
                align-items: flex-start;

                p {
                    font-size: 1.5vw;
                    width: 80%;
                    .fontBolder();
                }
            }

            &.bottom-right {

                display: flex;
                align-items: flex-end;

                .apos-area,
                .apos-area-widgets,
                .apos-area-widget-wrapper,
                .apos-area-widget,
                .apos-rich-text {
                    height: 100%;
                }

                .apos-rich-text {
                    display: flex;
                    justify-content: flex-end;
                    align-items: flex-end;
                }

                p {
                    font-family: 'Roobert-SemiBold';
                    width: 85%;
                    font-size: 3vw;
                    line-height: 1.2;
                }
            }
        }
    }


    .featured-and-mentioned {

        display: flex;
        height: 120vh;
        min-height: 600px;


        .column-left,
        .column-right {
            width: 50%;
            height: 100%;
        }

        .column-left {}

        .column-right {
            background-color: #fff;
            overflow: hidden;
        }

        .featured-text {
            margin-left: 20%;
            width: 60%;
            height: 100%;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
        }

        .featured-title {
            font-family: 'Roobert-Medium';
            font-size: 4vw;
            margin-bottom: 0.5em;
            align-self: flex-start;
            color: #fff;
        }

        .featured-about {
            font-size: 1.4vw;
            line-height: 1.2;

            p {
                .fontBolder();
                color: #fff;
            }
        }

        .mentioned-list {
            position: relative;
            width: 100%;
            height: 100%;

            .apos100height();

            .mentioned-item {
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                display: flex;
                background: #fff;
                justify-content: center;
                align-items: center;
                transform: translateX(-100%);
                transition: transform 1s 1.1s cubic-bezier(0, 0.55, 0.45, 1);
                z-index: 2;
                -webkit-box-shadow: 4px 0px 8px 2px rgba(114, 113, 113, 0.1);
                -moz-box-shadow: 4px 0px 8px 2px rgba(114, 113, 113, 0.1);
                box-shadow: 4px 0px 8px 2px rgba(114, 113, 113, 0.1);

                &.active {
                    transform: translateX(0);
                    transition: transform 1s;
                    z-index: 3;
                }

                img {
                    width: 80%;
                    object-fit: contain;
                }

            }
        }



    }

    .we-get-deep {

        margin: 25vw 0 20vw;
        display: flex;
        justify-content: center;
        flex-direction: column;

        .letters-with-shadow {

            position: relative;
            font-size: 24vw;
            height: 0.9em;
            margin-top: -0.15em;
            line-height: 1em;
            font-family: 'Roobert-SemiBold';
            color: #fff;
            text-align: center;
            // background: linear-gradient(to bottom, #fff 0%, #050505 100%);
            // -webkit-background-clip: text;
            // -webkit-text-fill-color: transparent;

            &:after {
                display: block;
                width: 100%;
                height: 130%;
                position: absolute;
                top: 0;
                left: 0;
                // background: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.3) 100%);
                background: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.3) 50%, rgba(0, 0, 0, 0.6) 60%, rgba(0, 0, 0, 1) 90%);
                content: "";
            }


            &.animated {
                transform: translateY(100%);
                opacity: 0;
                will-change: transform, opacity;
                transition: transform .5s, opacity .5s ease-in;

                &>div {
                    // transform: translateY(100%);
                    // opacity: 0;
                    // will-change: transform, opacity;
                    // transition: transform .7s, opacity .7s;
                }

                &:nth-of-type(2) {
                    transition-delay: 0.2s;

                    &>div {
                        transition-delay: 0.2s;
                    }
                }

                &:nth-of-type(3) {
                    transition-delay: 0.4s;

                    &>div {
                        transition-delay: 0.4s;
                    }
                }
            }

            &.progress {
                transform: translateY(0%);
                opacity: 1;

                &>div {
                    // transform: translateY(0%);
                    // opacity: 1;
                }

            }
        }
    }

    .holistic-branding-wrapper {
        margin-bottom: 24vw;

        .holistic-branding {
            width: 65vw;
            margin: 0 auto;
            font-size: 3.4vw;
            text-align: center;
            line-height: 1.2;
            font-family: 'Roobert-SemiBold';
            color: #fff;
        }
    }


    .dig-explore-execute {

        width: 100vw;
        padding: 0 5vw;
        box-sizing: border-box;

        .row {
            width: 60vw;
            display: flex;
            margin-bottom: 15vw;

            &.second {
                margin-left: 15vw;

                .step {
                    margin-right: 7vw;
                }
            }

            &.third {
                margin-left: 30vw;

                .step {
                    margin-right: 7vw;
                }
            }

            &.animated {
                .step {
                    transform: translateY(75%);
                    opacity: 0;
                    transition: transform .5s, opacity .5s ease-in;

                    span {
                        // transform: translateY(100%);
                        // opacity: 0;
                        // transition: transform .6s, opacity .6s;
                    }
                }

                .process {

                    .process-label {
                        opacity: 0;
                        transition: opacity 0.7s 0.2s;
                    }

                    .process-text {
                        opacity: 0;
                        transition: opacity 0.7s 0.4s;
                    }

                }

            }

            &.progress {

                .step {
                    transform: translateY(0%);
                    opacity: 1;

                    span {
                        // transform: translateY(0%);
                        // opacity: 1;
                    }
                }

                .process {

                    .process-label {
                        opacity: 1;
                        transition-delay: 0.4s;
                    }

                    .process-text {
                        opacity: 1;
                        transition-delay: 0.6s;
                    }

                }


            }
        }

        .step {
            font-size: 19vw;
            line-height: 0.6em;
            height: 1em;
            font-family: 'Roobert-SemiBold';
            color: #fff;
            // background: linear-gradient(to bottom, #fff 0%, #000 75%);
            // background-clip: border-box;
            // -webkit-background-clip: text;
            // -webkit-text-fill-color: transparent;
            margin-right: 9vw;

            &:after {
                display: block;
                width: 100%;
                height: 90%;
                position: absolute;
                top: 0;
                left: 0;
                // background: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.3) 100%);
                background: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.6) 50%, rgba(0, 0, 0, 0.8) 75%, rgba(0, 0, 0, 1) 90%);
                content: "";
            }

            span {
                display: block;
            }
        }

        .process {
            display: flex;
            flex-direction: column;
            width: 24vw;

            .process-label {

                margin-bottom: 0.75em;

                &,
                p {
                    font-size: 3vw;
                    font-family: 'Roobert-SemiBold';
                    color: #fff;
                }

            }

            .process-text {

                &,
                p {
                    font-size: 1.5vw;
                    line-height: 1.2;
                    color: #fff;
                    .fontBolder();
                }

            }
        }

    }


    .services {

        .services-title {
            font-size: 22vw;
            text-align: center;
            margin-bottom: 20vw;
            color: #fff;
            font-family: "Roobert-SemiBold";
        }

        .services-list {

            margin-bottom: 15vw;
            width: .calc-vw(1)[@return];

            .apos-area,
            .apos-area-widgets {
                display: flex;
                flex-flow: row wrap;
                width: 100%;
            }

            .quarter {
                width: .calc-vw(0.25)[@return];
                height: .calc-vw(0.25)[@return];

                .black-box {
                    width: 100%;
                    height: 100%;
                    content: "";
                    background-color: #000;
                }

                .service-box {
                    width: 100%;
                    height: 100%;
                    color: #e0a31b;
                    overflow: hidden;
                    display: flex;
                    flex-direction: column;
                    justify-content: flex-end;
                    padding: 10%;

                    .title {
                        color: #000;

                        p {

                            font-size: 3vw;
                            font-family: "Roobert-SemiBold";
                        }
                    }

                    .info {

                        max-height: 0;
                        will-change: max-height;
                        transition: max-height 1.5s ease-in-out;
                        overflow: hidden;

                        p {
                            font-size: 1.2vw;
                            line-height: 1.5;
                        }
                    }
                }

                &:hover {
                    .service-box {
                        .info {
                            transition: max-height 1s ease-in-out;
                            max-height: 100%;
                        }
                    }
                }
            }

        }
    }


    

    .secret-ingredient {

        .vertical-text-wrapper {
            height: 95vw;
            margin: 20vw 0 0;
            position: relative;
        }

        .vertical-text {

            width: 100%;
            display: flex;
            justify-content: center;

            div,
            p {
                font-size: 7vw;
                color: #fff;
                font-family: "Roobert-SemiBold";
                text-orientation: mixed;
                writing-mode: vertical-rl;
                white-space: nowrap;
                margin-left: 0.33em;
            }
        }

        .trufflSize(@value) {
            width: @value;
            height: @value;
            background-size: @value @value;
        }

        .truffles {
            position: absolute;
            background-image: url(/modules/my-truffl/images/truffl_gold.png);
            background-repeat: no-repeat;



            &[data-truffl="1"] {
                .trufflSize(9vw);
                opacity: 0.3;
                top: 0;
                left: calc(25% - 9vw / 2);
                transform: rotate(-37deg);
                -webkit-filter: blur(5px);
                filter: blur(5px);
            }

            &[data-truffl="2"] {
                .trufflSize(14vw);
                opacity: 0.4;
                top: 25%;
                left: calc(50% + 14vw / 2);
                transform: rotate(-37deg);
                -webkit-filter: blur(3px);
                filter: blur(3px);
            }

            &[data-truffl="3"] {
                .trufflSize(10vw);
                opacity: 0.5;
                top: 35%;
                left: calc(25% - 10vw / 2);
                transform: rotate(-30deg);
                -webkit-filter: blur(2px);
                filter: blur(2px);
            }

            &[data-truffl="4"] {
                .trufflSize(7vw);
                opacity: 0.55;
                top: 80%;
                right: calc(10% + 7vw / 2);
                -webkit-filter: blur(2px);
                filter: blur(2px);
            }
        }


        .delicious {
            padding-bottom: 30vw;
            position: relative;
            overflow: hidden;

            /* hacks */
            transform: translateY(-20vw);
            margin-bottom: -20vw;
            padding-top: 20vw;

            .real-truffles {
                p {
                    display: block;
                    color: #fff;
                    font-size: 1.5vw;
                    line-height: 1.4;
                    width: .calc-vw(0.47)[@return];
                    margin: 0 auto;
                    text-align: center;
                    .fontBolder();
                }
            }

            .truffles[data-truffl="11"] {
                position: relative;
                .trufflSize(10vw);
                margin: 0 auto 5vw;
            }

            .truffles[data-truffl="12"] {
                .trufflSize(25vw);
                bottom: calc(25vw * 0.3);
                left: calc(25vw * -0.1);
                -webkit-filter: blur(3px);
                filter: blur(3px);
                transform: rotate(-30deg);
            }

            .truffles[data-truffl="13"] {
                .trufflSize(32vw);
                bottom: calc(32vw * -0.5);
                right: 0;
                -webkit-filter: blur(9px);
                filter: blur(9px);
                transform: rotate(220deg);
            }
        }
    }
}


@media screen and (max-width: 800px) {

    .about-page {

        .hero {

            .hero-title p {
                font-size: 9vw;
            }

            .parallax-image {
                &[data-image="1"] {
                    width: 30vw;
                    height: 30vw;
                    left: 19vw;
                    top: calc(-30vh - 8vw + 80px);
                }

                &[data-image="2"] {
                    width: 30vw;
                    height: 30vw;
                    top: inherit;
                    bottom: calc(30% + 15vw);
                }

                &[data-image="3"] {
                    width: 30vw;
                    height: 30vw;
                    top: 20%;
                    left: 15%;
                }

                &[data-image="4"] {
                    width: 35vw;
                    height: 35vw;
                    right: 10%;
                    top: calc(60vh + 6vw);
                }
            }

            .about-truffl {

                h2 {
                    width: 80%;
                    margin-left: 5%;
                }

                p {
                    font-size: 6vw;
                    width: 100%;
                }
            }
        }

        .pulse-container {
            transform: translateX(-25vw);

            .pulse-message {
                width: 55%;
                left: 57%;

                .message-title {

                    &,
                    p {
                        font-size: 4vw;
                    }
                }

                .message-text {

                    &,
                    p {
                        font-size: 3vw;
                    }
                }
            }
        }

        .more-than-agency {
            margin: 20% auto 15%;
            width: 60%;

            .agency-title {
                width: 100%;
                font-size: 10vw;
            }

            .agency-row {

                &,
                &.with-image-1,
                &.with-image-2 {
                    width: 100%;
                    flex-direction: column;
                    height: inherit;

                    .agency-column {
                        width: 100%;
                        margin-bottom: 10%;
                    }
                }

                &.with-image-2 {
                    flex-direction: column-reverse;
                }

                .agency-column {
                    &.top-left p {
                        font-size: 3vw;
                        width: 100%;
                    }

                    &.bottom-right p {
                        width: 100%;
                        text-align: center;
                        font-size: 4vw;
                    }
                }

            }

            .agency-column {
                height: inherit;
            }
        }

        .animated-partners-logos {

            .quarter,
            .apos-area-widget-wrapper .quarter {
                width: 50vw;
                height: 50vw;
            }
        }

        .featured-and-mentioned {
            flex-direction: column;
            height: auto;

            .column-left,
            .column-right {
                width: 100%;
                height: 50vh;
            }

            .featured-title {
                font-size: 8vw;
            }

            .featured-about {
                font-size: 3vw;
            }
        }

        .we-get-deep {
            .letters-with-shadow {
                font-size: 30vw;
            }
        }

        .holistic-branding-wrapper {
            margin-top: 25%;
            margin-bottom: 25%;

            .holistic-branding {
                font-size: 5.5vw;
                width: 80%;
            }
        }


        .dig-explore-execute {

            .step {
                font-size: 25vw;
            }

            .row {
                width: 95%;

                &.second {
                    margin-left: inherit;
                }

                &.third {
                    margin-left: inherit;
                }
            }

            .process {
                width: 100%;

                .process-label {
                    margin-bottom: 0.5em;

                    &,
                    p {
                        font-size: 10vw;
                    }
                }

                .process-text {

                    &,
                    p {
                        font-size: 3vw;
                    }
                }
            }


        }

        .services .services-list {
            width: 100%;

            .quarter {
                width: 25vw;
                height: 25vw;

                .service-box .title p {
                    font-size: 3.5vw;
                }
            }

        }

        

        .secret-ingredient {
            .vertical-text-wrapper {
                height: 120vw;
            }

            .vertical-text {

                div,
                p {
                    font-size: 10vw;
                }
            }

            .delicious {
                .real-truffles {
                    p {
                        font-size: 3vw;
                        width: 80%;
                    }
                }
            }
        }



    }
}